<template>
  <!-- 装车作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <div class="top">
        <el-input
          class="el-input"
          placeholder="请输入内容"
          v-model="input"
          clearable
        >
        </el-input>
        <el-button type="primary" class="btn" @click="onclick">
          <i class="el-icon-search"></i>查询
        </el-button>
        <el-button type="primary" @click="insertClick">
          <i class="el-icon-plus"></i>新增
        </el-button>
      </div>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" align="center" width="100">
        <template slot-scope="scope">
          <el-button
            @click="updateClick(scope.row.resultId)"
            type="text"
            size="small"
          >
            修改
          </el-button>
          <el-button
            type="text"
            size="small"
            @click="deleteClick(scope.row.resultId)"
          >
            删除
          </el-button>
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl:
          "/api/v1/tms/getAllLoadResult?apiId=91&status=0&orderType=8",
      },
    };
  },
  methods: {
    onclick() {
      this.option.requestUrl =
        "/api/v1/tms/getAllLoadResult?apiId=91&status=0&orderType=8&con=" +
        this.input;
    },
    updateClick(resultId) {
      this.$router.push("/truckLoadResultEdit/" + resultId);
    },
    //新增
    insertClick() {
      this.$router.push("/truckLoadResultAdd/");
    },
    deleteClick(resultId) {
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post("/api/v1/tms/deleteLoadResult/" + resultId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    .top {
      padding: 1.25rem 0.375rem;
      .el-input {
        width: 20%;
        margin-right: 1.25rem;
      }
    }
  }
}
</style>